<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <title>Signin - {{ config('app.name') }}</title>


    <!-- Bootstrap core CSS -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">

    <style>
        .bd-placeholder-img {
            font-size: 1.125rem;
            text-anchor: middle;
            -webkit-user-select: none;
            -moz-user-select: none;
            -ms-user-select: none;
            user-select: none;
        }

        @media (min-width: 768px) {
            .bd-placeholder-img-lg {
                font-size: 3.5rem;
            }
        }

        body, html, .container {
            height: 100%;
        }

    </style>

    <script src="{{ asset('js/app.js') }}" type="text/javascript"></script>

</head>
<body class="">

<div class="container">
    <div class="row vh-100 flex-column align-items-center">
        <div class="col-md-4">
            <form class="form-signin" method="post" action="{{ route('login') }}">
                @csrf
                @if(session()->has('message'))
                    <div class="alert alert-warning">
                        {{session('message')}}
                    </div>
                @endif

                <div class="card">
                    <div class="card-header">
                        Please sign in.
                    </div>
                    <div class="card-body">
                        <label for="cell-number" class="">Cell Number</label>
                        <input type="text" id="cell-number" name="cell-number" class="form-control" placeholder="Cell Number" value="{{old('cell-number')}}" required <?= old('cell-number') ? '' : 'autofocus' ?>>

                        <label for="password" class="">Password</label>
                        <input type="password" id="password" name="password" class="form-control" placeholder="Password" required <?= old('cell-number') ? 'autofocus' : '' ?>>

                        <button id="sign-in-btn" class="mt-2 btn btn-lg btn-primary btn-block" type="submit">Sign in</button>
                    </div>
                </div>
            </form>
        </div>
        <p class="text-center mt-5 mb-3 text-muted">&copy; {{ date('Y') }}</p>
    </div>

</div>
</body>
</html>
