create view collation_character_set_applicability as
SELECT (current_database())::information_schema.sql_identifier      AS collation_catalog,
       (nc.nspname)::information_schema.sql_identifier              AS collation_schema,
       (c.collname)::information_schema.sql_identifier              AS collation_name,
       (NULL::character varying)::information_schema.sql_identifier AS character_set_catalog,
       (NULL::character varying)::information_schema.sql_identifier AS character_set_schema,
       (getdatabaseencoding())::information_schema.sql_identifier   AS character_set_name
FROM pg_collation c,
     pg_namespace nc
WHERE ((c.collnamespace = nc.oid) AND (c.collencoding = ANY (ARRAY ['-1'::integer, (SELECT pg_database.encoding
                                                                                    FROM pg_database
                                                                                    WHERE (pg_database.datname = current_database()))])));

alter table collation_character_set_applicability
  owner to postgres;

