create view pg_stat_database as
SELECT d.oid                                                                     AS datid,
       d.datname,
       pg_stat_get_db_numbackends(d.oid)                                         AS numbackends,
       pg_stat_get_db_xact_commit(d.oid)                                         AS xact_commit,
       pg_stat_get_db_xact_rollback(d.oid)                                       AS xact_rollback,
       (pg_stat_get_db_blocks_fetched(d.oid) - pg_stat_get_db_blocks_hit(d.oid)) AS blks_read,
       pg_stat_get_db_blocks_hit(d.oid)                                          AS blks_hit,
       pg_stat_get_db_tuples_returned(d.oid)                                     AS tup_returned,
       pg_stat_get_db_tuples_fetched(d.oid)                                      AS tup_fetched,
       pg_stat_get_db_tuples_inserted(d.oid)                                     AS tup_inserted,
       pg_stat_get_db_tuples_updated(d.oid)                                      AS tup_updated,
       pg_stat_get_db_tuples_deleted(d.oid)                                      AS tup_deleted,
       pg_stat_get_db_conflict_all(d.oid)                                        AS conflicts,
       pg_stat_get_db_temp_files(d.oid)                                          AS temp_files,
       pg_stat_get_db_temp_bytes(d.oid)                                          AS temp_bytes,
       pg_stat_get_db_deadlocks(d.oid)                                           AS deadlocks,
       pg_stat_get_db_blk_read_time(d.oid)                                       AS blk_read_time,
       pg_stat_get_db_blk_write_time(d.oid)                                      AS blk_write_time,
       pg_stat_get_db_stat_reset_time(d.oid)                                     AS stats_reset
FROM pg_database d;

alter table pg_stat_database
  owner to postgres;

