create view role_column_grants as
SELECT column_privileges.grantor,
       column_privileges.grantee,
       column_privileges.table_catalog,
       column_privileges.table_schema,
       column_privileges.table_name,
       column_privileges.column_name,
       column_privileges.privilege_type,
       column_privileges.is_grantable
FROM information_schema.column_privileges
WHERE (((column_privileges.grantor)::text IN (SELECT enabled_roles.role_name
                                              FROM information_schema.enabled_roles)) OR
       ((column_privileges.grantee)::text IN (SELECT enabled_roles.role_name
                                              FROM information_schema.enabled_roles)));

alter table role_column_grants
  owner to postgres;

