create view role_routine_grants as
SELECT routine_privileges.grantor,
       routine_privileges.grantee,
       routine_privileges.specific_catalog,
       routine_privileges.specific_schema,
       routine_privileges.specific_name,
       routine_privileges.routine_catalog,
       routine_privileges.routine_schema,
       routine_privileges.routine_name,
       routine_privileges.privilege_type,
       routine_privileges.is_grantable
FROM information_schema.routine_privileges
WHERE (((routine_privileges.grantor)::text IN (SELECT enabled_roles.role_name
                                               FROM information_schema.enabled_roles)) OR
       ((routine_privileges.grantee)::text IN (SELECT enabled_roles.role_name
                                               FROM information_schema.enabled_roles)));

alter table role_routine_grants
  owner to postgres;

