create view user_defined_types as
SELECT (current_database())::information_schema.sql_identifier              AS user_defined_type_catalog,
       (n.nspname)::information_schema.sql_identifier                       AS user_defined_type_schema,
       (c.relname)::information_schema.sql_identifier                       AS user_defined_type_name,
       ('STRUCTURED'::character varying)::information_schema.character_data AS user_defined_type_category,
       ('YES'::character varying)::information_schema.yes_or_no             AS is_instantiable,
       (NULL::character varying)::information_schema.yes_or_no              AS is_final,
       (NULL::character varying)::information_schema.character_data         AS ordering_form,
       (NULL::character varying)::information_schema.character_data         AS ordering_category,
       (NULL::character varying)::information_schema.sql_identifier         AS ordering_routine_catalog,
       (NULL::character varying)::information_schema.sql_identifier         AS ordering_routine_schema,
       (NULL::character varying)::information_schema.sql_identifier         AS ordering_routine_name,
       (NULL::character varying)::information_schema.character_data         AS reference_type,
       (NULL::character varying)::information_schema.character_data         AS data_type,
       (NULL::integer)::information_schema.cardinal_number                  AS character_maximum_length,
       (NULL::integer)::information_schema.cardinal_number                  AS character_octet_length,
       (NULL::character varying)::information_schema.sql_identifier         AS character_set_catalog,
       (NULL::character varying)::information_schema.sql_identifier         AS character_set_schema,
       (NULL::character varying)::information_schema.sql_identifier         AS character_set_name,
       (NULL::character varying)::information_schema.sql_identifier         AS collation_catalog,
       (NULL::character varying)::information_schema.sql_identifier         AS collation_schema,
       (NULL::character varying)::information_schema.sql_identifier         AS collation_name,
       (NULL::integer)::information_schema.cardinal_number                  AS numeric_precision,
       (NULL::integer)::information_schema.cardinal_number                  AS numeric_precision_radix,
       (NULL::integer)::information_schema.cardinal_number                  AS numeric_scale,
       (NULL::integer)::information_schema.cardinal_number                  AS datetime_precision,
       (NULL::character varying)::information_schema.character_data         AS interval_type,
       (NULL::integer)::information_schema.cardinal_number                  AS interval_precision,
       (NULL::character varying)::information_schema.sql_identifier         AS source_dtd_identifier,
       (NULL::character varying)::information_schema.sql_identifier         AS ref_dtd_identifier
FROM pg_namespace n,
     pg_class c,
     pg_type t
WHERE ((n.oid = c.relnamespace) AND (t.typrelid = c.oid) AND (c.relkind = 'c'::"char") AND
       (pg_has_role(t.typowner, 'USAGE'::text) OR has_type_privilege(t.oid, 'USAGE'::text)));

alter table user_defined_types
  owner to postgres;

